import { Component, OnInit } from '@angular/core';
import { Lead } from 'src/app/models/lead';
import { LeadsService } from 'src/app/services/leads.service';

@Component({
  selector: 'app-lead-archive',
  templateUrl: './lead-archive.component.html',
  styleUrls: ['./lead-archive.component.sass']
})
export class LeadArchiveComponent implements OnInit {

  page: number;
  leads: Lead[];
  
  dleadQuality: boolean = false;
  dleadQualityFalse : boolean = false;

  constructor(
    private leadsService: LeadsService, 
  ) {

    this.page = 1;
    this.leads = [];

   }

  ngOnInit(): void {
    this.getLeads();
  }
  getLeads() {
    this.leadsService.getArchiveLeads(this.page).subscribe((data)=>{

      let tmpLeads : Lead[] = this.leads;
      
      data.forEach(function(item) {
        tmpLeads.push(item);
      });

      this.leads = tmpLeads;
    });
  }

  loadLead() {
    ++this.page;
    this.getLeads();
  }

  openHistory(event, lead, i, leads) {

  }

}
